> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/ddl/create-organization.md).

# CREATE ORGANIZATION

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
CREATE ORGANIZATION organization_name;
```

## Description <a href="#description" id="description"></a>

An organization is the highest-level logical space in DeltaStream. The organization's administrator can invite people from outside to join the organization. The administrator can manage these people by assigning or rescinding roles. Users in an organization can then use the platform according to the permissions in their roles – for example, such as adding [stores](/overview/core-concepts/store.md), creating [databases](/overview/core-concepts/databases.md) and [schemas](/overview/core-concepts/databases.md#_schema), and writing [queries](/overview/core-concepts/queries.md).

### Arguments

#### organization\_name

The name of the organization to create.

## Example <a href="#example" id="example"></a>

#### Create an organization

In the below example, a new organization is created with the name `myorg`.

```sh
<no-organization># CREATE ORGANIZATION myorg;
+--------------+-------+----------+---------------------------------------+
|  Type        |  Name |  Command |  Summary                              |
+==============+=======+==========+=======================================+
| organization | myorg | CREATE   | organization "myorg" was successfully |
|              |       |          | created                               |
+--------------+-------+----------+---------------------------------------+
<no-db>/<no-store># LIST ORGANIZATIONS;
+--------------------------------------+--------+-------------+-------------+--------------+--------------------+-------------------------------+
|  ID                                  |  Name  |  Is Current |  Is Default |  Description |  Profile Image Uri |  Created At                   |
+======================================+========+=============+=============+==============+====================+===============================+
| caab10ef-5c55-4e6b-906b-29a9dae9b74d | myorg  | true        | true        | <null>       | <null>             | 2024-07-02 21:16:22 +0000 UTC |
+--------------------------------------+--------+-------------+-------------+--------------+--------------------+-------------------------------+
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/create-organization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
